org.apache.xalan.xsltc

## Interface Translet

- All Known Implementing Classes:
    AbstractTranslet

      public interface Translet

  Author:
    Jacek Ambroziak, Santiago Pericas-Geertsen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuxiliaryClass(java.lang.Class auxClass)`
    `java.lang.Object` | `addParameter(java.lang.String name, java.lang.Object value)`
    `void` | `buildKeys(DOM document, DTMAxisIterator iterator, SerializationHandler handler, int root)`
    `java.lang.Class` | `getAuxiliaryClass(java.lang.String className)`
    `java.lang.String[]` | `getNamesArray()`
    `java.lang.String[]` | `getNamespaceArray()`
    `int[]` | `getTypesArray()`
    `java.lang.String[]` | `getUrisArray()`
    `void` | `transform(DOM document, DTMAxisIterator iterator, SerializationHandler handler)`
    `void` | `transform(DOM document, SerializationHandler handler)`
    `void` | `transform(DOM document, SerializationHandler[] handlers)`

- - ### Method Detail

    - #### transform

          void transform(DOM document,
                       SerializationHandler handler)
                         throws TransletException

      Throws:
        `TransletException`

    - #### transform

          void transform(DOM document,
                       SerializationHandler[] handlers)
                         throws TransletException

      Throws:
        `TransletException`

    - #### transform

          void transform(DOM document,
                       DTMAxisIterator iterator,
                       SerializationHandler handler)
                         throws TransletException

      Throws:
        `TransletException`

    - #### addParameter

          java.lang.Object addParameter(java.lang.String name,
                                      java.lang.Object value)

    - #### buildKeys

          void buildKeys(DOM document,
                       DTMAxisIterator iterator,
                       SerializationHandler handler,
                       int root)
                         throws TransletException

      Throws:
        `TransletException`

    - #### addAuxiliaryClass

          void addAuxiliaryClass(java.lang.Class auxClass)

    - #### getAuxiliaryClass

          java.lang.Class getAuxiliaryClass(java.lang.String className)

    - #### getNamesArray

          java.lang.String[] getNamesArray()

    - #### getUrisArray

          java.lang.String[] getUrisArray()

    - #### getTypesArray

          int[] getTypesArray()

    - #### getNamespaceArray

          java.lang.String[] getNamespaceArray()

Copyright © 2014 Apache XML Project. All Rights Reserved.